library screen_plus;

import 'package:screen_plus_platform_interface/screen_plus_platform_interface.dart';

class ScreenPlus {
  // static ScreenPlusPlatform get platform => ScreenPlusPlatform.instance;

  Future<double> brightness() async {
    return ScreenPlusPlatform.instance.deviceBrightness;
  }

  Future setBrightness(double brightness) async {
    return ScreenPlusPlatform.instance.setDeviceBrightness(brightness);
  }

  Future<bool> getBrightnessStatus() async {
    return ScreenPlusPlatform.instance.isKeptScreenOn;
  }

  Future setScreenWake(bool enable) {
    return ScreenPlusPlatform.instance.keepScreenOn(enable);
  }
}
